 /***********************************************************************
 * =======================================				*
 * EasyMaths - Core component of EasyMaths				*
 * November 2000							*
 * =======================================				*
 *									*
 * Copyright (C) 2000, 2001 Didier Davill				*
 * Developed by Didier Davill <Didier.Daville@ddarea.com>		*
 *									*
 * This library is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU Library General Public License as 	*
 * published by the Free Software Foundation; either version 2 of the	*
 * License, or (at your option) any later version.			*
 *									*
 * This library is distributed in the hope that it will be useful, but	*
 * WITHOUT ANY WARRANTY; without even the implied warranty of		*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.			*
 * See the GNU Library General Public License for more details.		*
 *									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the Free Software	*
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*
 * 02111-1307, USA.							*
 ***********************************************************************/

 /***********************************************************************
 * $Author: daville $
 *
 * $Revision: 1.2 $
 *
 * $Id: ClientToolsXMProtocol.cpp,v 1.2 2000/11/02 21:43:36 daville Exp $
 * $Log: ClientToolsXMProtocol.cpp,v $
 * Revision 1.2  2000/11/02 21:43:36  daville
 * Intgration de l'entte de copyright et de suivi de version.
 *
 *
 ***********************************************************************/


#include <stdio.h>
#include <string.h>
#include <ClientToolsXMProtocol.h>

int AddField(char *amodifier, char *data)
{
	if ((!data) || (!amodifier)) return 0;
	if (strlen(amodifier) == MAXI_LEN_REPONSE) return strlen(data);
	
	int NbreARecopier, NonRecopier;
	char Buffer[MAXI_LEN_REPONSE+1];
	NonRecopier = (strlen(data)+1 >= MAXI_LEN_REPONSE? strlen(data)+1 - MAXI_LEN_REPONSE: 0);
	NbreARecopier = (strlen(data)+1 >= MAXI_LEN_REPONSE? MAXI_LEN_REPONSE: strlen(data)+1);
	strncpy(Buffer, data, NbreARecopier);
	sprintf(amodifier, "%s#", Buffer);
	return NonRecopier;
}

char *GetField(char *data, int deb, int fin)
{
	char *field;
	int  k=0, Taille;
	char *DebField, *FinField=NULL, *Cursor=NULL, *Ptr=NULL;
	
	if (!data) return NULL;
	if (!strlen(data)) return NULL;
	for (Ptr=DebField=FinField=data; ((Cursor = strchr(Ptr, '#')) && (k <= deb)); k++)
		{DebField = (DebField==FinField?DebField:FinField+1); FinField = Cursor; Ptr=Cursor+1;}
	//if (!Cursor) return NULL;
	Taille = (fin == -1? strlen(data) - (DebField - data): FinField - DebField);
	field = new char[Taille+1];
	strncpy(field, DebField, Taille); field[Taille]=0;
	return (field);
}

XMQuery *AddIntoXMQuery(XMQuery *query, char *data)
{
	XMQuery *aQuery=query;
	
	if (!data) return aQuery;
	if (!query) aQuery = new XMQuery;
	sprintf(aQuery->Query, "%s", data); delete data;
	return aQuery;
}

int TailleRecalculer(char *data, int maxi)
{
	return 0;
}