 /***********************************************************************
 * =======================================				*
 * EasyMaths - Core component of EasyMaths				*
 * November 2000							*
 * =======================================				*
 *									*
 * Copyright (C) 2000, 2001 Didier Davill				*
 * Developed by Didier Davill <Didier.Daville@ddarea.com>		*
 *									*
 * This library is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU Library General Public License as 	*
 * published by the Free Software Foundation; either version 2 of the	*
 * License, or (at your option) any later version.			*
 *									*
 * This library is distributed in the hope that it will be useful, but	*
 * WITHOUT ANY WARRANTY; without even the implied warranty of		*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.			*
 * See the GNU Library General Public License for more details.		*
 *									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the Free Software	*
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*
 * 02111-1307, USA.							*
 ***********************************************************************/

 /***********************************************************************
 * $Author: daville $
 *
 * $Revision: 1.2 $
 *
 * $Id: fonction.h,v 1.2 2000/11/02 21:48:27 daville Exp $
 * $Log: fonction.h,v $
 * Revision 1.2  2000/11/02 21:48:27  daville
 * Intgration de l'entte de copyright et de suivi de version.
 *
 *
 ***********************************************************************/


#ifndef FONCTION
#define FONCTION
#define T float
#define pi 3.14156

T  tan(T x);
T  arccos(T x);
T  arcsin(T x);
T  argsh(T x);
T  argch(T x);
T  argth(T x);
T  argcoth(T x);
T  sh(T x);
T  ch(T x);
T  th(T x);
T  frac(T x);
T  Power(T x, T n);


/*
T  XMAtan(T x);
T  XMArccos(T x);
T  XMArcsin(T x);
T  XMArgsh(T x);
T  XMArgch(T x);
T  XMArgth(T x);
T  XMArgcoth(T x);
T  XMSh(T x);
T  XMCh(T x);
T  XMTh(T x);
T  XMFrac(T x);
T  XMPower(T x, T n);*/

#endif