 /***********************************************************************
 * =======================================				*
 * EasyMaths - Core component of EasyMaths				*
 * November 2000							*
 * =======================================				*
 *									*
 * Copyright (C) 2000, 2001 Didier Davill				*
 * Developed by Didier Davill <Didier.Daville@ddarea.com>		*
 *									*
 * This library is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU Library General Public License as 	*
 * published by the Free Software Foundation; either version 2 of the	*
 * License, or (at your option) any later version.			*
 *									*
 * This library is distributed in the hope that it will be useful, but	*
 * WITHOUT ANY WARRANTY; without even the implied warranty of		*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.			*
 * See the GNU Library General Public License for more details.		*
 *									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the Free Software	*
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*
 * 02111-1307, USA.							*
 ***********************************************************************/

 /***********************************************************************
 * $Author: daville $
 *
 * $Revision: 1.2 $
 *
 * $Id: reponse.cpp,v 1.2 2000/11/02 22:09:51 daville Exp $
 * $Log: reponse.cpp,v $
 * Revision 1.2  2000/11/02 22:09:51  daville
 * Intgration de l'entte de copyright et de suivi de version.
 *
 *
 ***********************************************************************/


#include <stdio.h>
#include <string.h>
#include "reponse.h"


CReponse::CReponse(CReponse &reponse)
{
        int n[2];
        
        if (reponse.Msgs[0])
        {
                n[0]=strlen(reponse.Msgs[0])+1;
        	Msgs[0]=new char[n[0]];
        	strcpy(Msgs[0],reponse.Msgs[0]);
      	}
      	if (reponse.Msgs[1])
        {
                n[1]=strlen(reponse.Msgs[1])+1;
        	Msgs[1]=new char[n[1]];
        	strcpy(Msgs[1],reponse.Msgs[1]);
      	}
      	PosErreur=reponse.PosErreur;
      	IDRep = reponse.IDRep;
}       

CReponse::CReponse(TReponse id, char *Msg, char *Erreur, int i=-1)
{
        int n[2];
        
        PosErreur=i;
        IDRep = id;
        n[0]=strlen(Msg)+1;
        Msgs[0]=new char[n[0]];
        if (Erreur)
        {
                n[1]=strlen(Erreur)+1;
                Msgs[1]=new char[n[1]];
                strcpy(Msgs[1],Erreur);
        } else Msgs[1]=NULL;
        strcpy(Msgs[0],Msg);
}

char *CReponse::GetAfficher()
{
        char *Aff = 0;
        if (PosErreur!=-1)
        {
                Aff = new char[strlen(Msgs[0])+1+1+PosErreur+1+1+strlen(Msgs[1])+1];
        	strcpy(Aff,Msgs[0]);
        	strcat(Aff,"\n"); Aff[strlen(Aff)]='\0';
        	for(int k=0;k<=PosErreur+1;k++) strcat(Aff," ");
        	strcat(Aff,"^ ");
        	strcat(Aff, Msgs[1]);
        } return Aff;
}

int CReponse::Afficher()
{
        printf("\n%s\n",Msgs[0]);
        if (PosErreur!=-1)
        {
                for(int k=0;k<PosErreur;k++) printf(" ");
                printf("^");
        }
        printf("%s\n",Msgs[1]);
        return IDRep;
}

CReponse::~CReponse()
{
        if (Msgs[0]) delete Msgs[0];
        if (Msgs[1]) delete Msgs[1];
}