 /***********************************************************************
 * =======================================				*
 * EasyMaths - IHM component of EasyMaths				*
 * November 2000							*
 * =======================================				*
 *									*
 * Copyright (C) 2000, 2001 Didier Davill				*
 * Developed by Didier Davill <Didier.Daville@ddarea.com>		*
 *									*
 * This library is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU Library General Public License as 	*
 * published by the Free Software Foundation; either version 2 of the	*
 * License, or (at your option) any later version.			*
 *									*
 * This library is distributed in the hope that it will be useful, but	*
 * WITHOUT ANY WARRANTY; without even the implied warranty of		*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.			*
 * See the GNU Library General Public License for more details.		*
 *									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the Free Software	*
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*
 * 02111-1307, USA.							*
 ***********************************************************************/

 /***********************************************************************
 * $Author: daville $
 *
 * $Revision: 1.2 $
 *
 * $Id: bibliotheque_gui.cc,v 1.2 2000/11/02 22:29:12 daville Exp $
 * $Log: bibliotheque_gui.cc,v $
 * Revision 1.2  2000/11/02 22:29:12  daville
 * Intgration de l'entte de copyright et de suivi de version.
 *
 *
 ***********************************************************************/



#include <bibliotheque.h>
#include <VGlobal.h>
/*
defining signal and events
dynamics tables
*/
DEFINE_SIGNAL_LIST(BibliothequeForm,VDKForm);
DEFINE_EVENT_LIST(BibliothequeForm,VDKForm);
/*
defining signal static table
*/
DEFINE_SIGNAL_MAP(BibliothequeForm,VDKForm)
#include <SignalsWBIB.h>
END_SIGNAL_MAP
/*
main form setup
*/
void
BibliothequeForm::GUISetup(void)
{
	SetSize(400,300);
	Title = "";
mMainbox = new VDKBox(this,v_box);
Add(mMainbox,0,1,1,0);
char* mListTitles[] = {"Groupe", "Nom", "Dfinition"};
mList = new VDKCustomList(this,BIB_MAX_COLUMNS,mListTitles,(GtkSelectionMode) 0);
mList->SetSize(398,239);
mMainbox->Add(mList,0,1,1,0);
mText = new VDKEntry(this,0);
mMainbox->Add(mText,0,0,0,1);
separator = new VDKSeparator(this,h_separator);
separator->SetSize(398,1);
mMainbox->Add(separator,0,1,1,2);
HBoxbutton = new VDKBox(this,h_box);
HBoxbutton->SetSize(398,32);
mMainbox->Add(HBoxbutton,0,1,1,0);
HBoxbutton->BorderWidth(0);
mAjouter = new VDKLabelButton(this,"Ajouter");
HBoxbutton->Add(mAjouter,0,1,1,0);
mCopier = new VDKLabelButton(this,"Copier");
HBoxbutton->Add(mCopier,0,1,1,0);
mSupprimer = new VDKLabelButton(this,"Supprimer");
HBoxbutton->Add(mSupprimer,0,1,1,0);
mFermer = new VDKLabelButton(this,"Fermer");
HBoxbutton->Add(mFermer,0,1,1,0);
}
