 /***********************************************************************
 * =======================================				*
 * EasyMaths - IHM component of EasyMaths				*
 * November 2000							*
 * =======================================				*
 *									*
 * Copyright (C) 2000, 2001 Didier Davill				*
 * Developed by Didier Davill <Didier.Daville@ddarea.com>		*
 *									*
 * This library is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU Library General Public License as 	*
 * published by the Free Software Foundation; either version 2 of the	*
 * License, or (at your option) any later version.			*
 *									*
 * This library is distributed in the hope that it will be useful, but	*
 * WITHOUT ANY WARRANTY; without even the implied warranty of		*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.			*
 * See the GNU Library General Public License for more details.		*
 *									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the Free Software	*
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*
 * 02111-1307, USA.							*
 ***********************************************************************/

 /***********************************************************************
 * $Author: daville $
 *
 * $Revision: 1.2 $
 *
 * $Id: progress.h,v 1.2 2000/11/02 22:29:54 daville Exp $
 * $Log: progress.h,v $
 * Revision 1.2  2000/11/02 22:29:54  daville
 * Intgration de l'entte de copyright et de suivi de version.
 *
 *
 ***********************************************************************/


/*
progress Form
header file: progress.h
*/
#ifndef _progress_form_h_
#define _progress_form_h_
#include <vdk/vdk.h>
#include <Core/Avancement.h>
#include <Config.h>
// Progress FORM  CLASS

class ProgressForm: public VDKForm
{
        bool mIsRunning;
        public:
// gui object declarations
private:
// vdkbuilder reserved gui construction
	void GUISetup(void);

public:
	ProgressForm(VDKForm* owner, char* title);
        int UpdateProgress(char *NomEtape, char *NumEtapeEnCours, char *NbreTotalEtape, char *NumInstEnCours, char *NbreTotalInst);
	~ProgressForm();
	void Setup(void);
/*
 gui setup include 
 do not patch below here
*/
#include <progress_gui.h>
};
#endif