 /***********************************************************************
 * =======================================				*
 * EasyMaths - IHM component of EasyMaths				*
 * November 2000							*
 * =======================================				*
 *									*
 * Copyright (C) 2000, 2001 Didier Davill				*
 * Developed by Didier Davill <Didier.Daville@ddarea.com>		*
 *									*
 * This library is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU Library General Public License as 	*
 * published by the Free Software Foundation; either version 2 of the	*
 * License, or (at your option) any later version.			*
 *									*
 * This library is distributed in the hope that it will be useful, but	*
 * WITHOUT ANY WARRANTY; without even the implied warranty of		*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.			*
 * See the GNU Library General Public License for more details.		*
 *									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the Free Software	*
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*
 * 02111-1307, USA.							*
 ***********************************************************************/

 /***********************************************************************
 * $Author: daville $
 *
 * $Revision: 1.2 $
 *
 * $Id: progressplus.cc,v 1.2 2000/11/02 22:29:54 daville Exp $
 * $Log: progressplus.cc,v $
 * Revision 1.2  2000/11/02 22:29:54  daville
 * Intgration de l'entte de copyright et de suivi de version.
 *
 *
 ***********************************************************************/



double PosCore(int step, int nstep, int inst, int ninst, double min, double max)
{
	return (((step*ninst + inst + 1)*(max - min))/(ninst*nstep) + min);
}

int ProgressForm::UpdateProgress(char *NomEtape, char *NumEtapeEnCours, char *NbreTotalEtape, char *NumInstEnCours, char *NbreTotalInst)
{
	double value;
	char text[1000];
	mCStep->Caption = NomEtape;
	mCInst->Caption = NumInstEnCours; mNInst->Caption = NbreTotalInst;
	if (atoi(mTotal->Caption) == 0)
	{
		sprintf(text, "%d", atoi(NbreTotalInst)*atoi(NbreTotalEtape));
		mTotal->Caption = text;
	}
	mProgressbar->Update(PosCore(atoi(NumEtapeEnCours), atoi(NbreTotalEtape), atoi(NumInstEnCours), atoi(NbreTotalInst), 0.0, 1.0));
	delete (NomEtape); delete (NumEtapeEnCours); delete (NbreTotalEtape); delete (NumInstEnCours); delete (NbreTotalInst);
	return 0;
}