 /***********************************************************************
 * =======================================				*
 * EasyMaths - Core component of EasyMaths				*
 * November 2000							*
 * =======================================				*
 *									*
 * Copyright (C) 2000, 2001 Didier Davill				*
 * Developed by Didier Davill <Didier.Daville@ddarea.com>		*
 *									*
 * This library is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU Library General Public License as 	*
 * published by the Free Software Foundation; either version 2 of the	*
 * License, or (at your option) any later version.			*
 *									*
 * This library is distributed in the hope that it will be useful, but	*
 * WITHOUT ANY WARRANTY; without even the implied warranty of		*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.			*
 * See the GNU Library General Public License for more details.		*
 *									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the Free Software	*
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*
 * 02111-1307, USA.							*
 ***********************************************************************/

 /***********************************************************************
 * $Author: daville $
 *
 * $Revision: 1.2 $
 *
 * $Id: IFonction.cpp,v 1.2 2000/11/02 22:10:22 daville Exp $
 * $Log: IFonction.cpp,v $
 * Revision 1.2  2000/11/02 22:10:22  daville
 * Intgration de l'entte de copyright et de suivi de version.
 *
 *
 ***********************************************************************/


#include <stdio.h>
#include "chaine.h"
#include "IXMObjectX.h"

XMFonction* MakeFonction(char *exp, char *Nom, char **Variables, TYPE *val)
{
        XMTRACE("Function will be created....\n", exp);
        XMFonction *pXMFonction;
        int nVar = 0;

        if (Variables) for(nVar = 0;Variables[nVar]; nVar++);
	XMTRACE(" Nom: %s\n", Nom);
        XMTRACE(" Nombre de variables: %d\n", nVar);
        XMTRACE(" Variables: \n");
        for(int i=0; i<nVar; i++) XMTRACE("	%s\n",Variables[i]);
        XMTRACE("\n Expressions: %s\n", exp);
        pXMFonction = new XMFonction(Nom, exp);
        pXMFonction->Lecture();
        pXMFonction->SetVar(nVar);
        for (int i=0; i<nVar; i++)
        	pXMFonction->PutVar(new XMVariable(Variables[i],Copie(0, strlen(Variables[i]),Variables[i]), 0.0), i);
        pXMFonction->Init();
        pXMFonction->Arbrer();
        pXMFonction->Lecture();
        XMTRACE("** Function created.**\n");
        XMTRACE("Done!\n");
        return pXMFonction;
}