 /***********************************************************************
 * =======================================				*
 * EasyMaths - IHM component of EasyMaths				*
 * November 2000							*
 * =======================================				*
 *									*
 * Copyright (C) 2000, 2001 Didier Davill				*
 * Developed by Didier Davill <Didier.Daville@ddarea.com>		*
 *									*
 * This library is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU Library General Public License as 	*
 * published by the Free Software Foundation; either version 2 of the	*
 * License, or (at your option) any later version.			*
 *									*
 * This library is distributed in the hope that it will be useful, but	*
 * WITHOUT ANY WARRANTY; without even the implied warranty of		*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.			*
 * See the GNU Library General Public License for more details.		*
 *									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the Free Software	*
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*
 * 02111-1307, USA.							*
 ***********************************************************************/

 /***********************************************************************
 * $Author: daville $
 *
 * $Revision: 1.2 $
 *
 * $Id: HandlersWEAS.h,v 1.2 2000/11/02 22:29:12 daville Exp $
 * $Log: HandlersWEAS.h,v $
 * Revision 1.2  2000/11/02 22:29:12  daville
 * Intgration de l'entte de copyright et de suivi de version.
 *
 *
 ***********************************************************************/


bool LancerProgressbar(VDKObject *sender);
bool Quitter(VDKObject *sender);
bool Run(VDKObject *sender);

bool FINouveau(VDKObject *sender);
bool FIOuvrir(VDKObject *sender);
bool FIFermerFichier(VDKObject *sender);
bool FIEnregistrer(VDKObject *sender);
bool FIEnregistrerSs(VDKObject *sender);
bool FIConfigurerImp(VDKObject *sender);
bool FIImprimer(VDKObject *sender);
bool FIMiseEnPage(VDKObject *sender);
bool FIViderLaListe(VDKObject *sender);
bool HMenuItemFichier(VDKObject *sender);
bool FIFermer(VDKObject *sender);
bool FIQuitter(VDKObject *sender);

bool EDAnnuler(VDKObject *sender);
bool EDCouper(VDKObject *sender);
bool EDCopier(VDKObject *sender);
bool EDColler(VDKObject *sender);
bool EDSelectionnerTout(VDKObject *sender);

bool BIStandard(VDKObject *sender);
bool BIEasyMaths(VDKObject *sender);
bool BIUtilisateur(VDKObject *sender);

bool VUView2D(VDKObject *sender);
bool VUView3D(VDKObject *sender);

bool OPFenetre(VDKObject *sender);
bool OPGraphe(VDKObject *sender);
bool OPPile(VDKObject *sender);

bool OUDocument(VDKObject *sender);

bool AIAide(VDKObject *sender);
bool AIAideCont(VDKObject *sender);
bool AIAideAPP(VDKObject *sender);

bool HandleToolbarSys(VDKObject *sender);
bool HandleToolbarMat(VDKObject *sender);

bool HandleTextIn(VDKObject *sender);
bool HandleTextOut(VDKObject *sender);
