 /***********************************************************************
 * =======================================				*
 * EasyMaths - IHM component of EasyMaths				*
 * November 2000							*
 * =======================================				*
 *									*
 * Copyright (C) 2000, 2001 Didier Davill				*
 * Developed by Didier Davill <Didier.Daville@ddarea.com>		*
 *									*
 * This library is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU Library General Public License as 	*
 * published by the Free Software Foundation; either version 2 of the	*
 * License, or (at your option) any later version.			*
 *									*
 * This library is distributed in the hope that it will be useful, but	*
 * WITHOUT ANY WARRANTY; without even the implied warranty of		*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.			*
 * See the GNU Library General Public License for more details.		*
 *									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the Free Software	*
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*
 * 02111-1307, USA.							*
 ***********************************************************************/

 /***********************************************************************
 * $Author: daville $
 *
 * $Revision: 1.2 $
 *
 * $Id: easymaths_gui.h,v 1.2 2000/11/02 22:29:12 daville Exp $
 * $Log: easymaths_gui.h,v $
 * Revision 1.2  2000/11/02 22:29:12  daville
 * Intgration de l'entte de copyright et de suivi de version.
 *
 *
 ***********************************************************************/


/*
easymaths gui header
*/
char mTITLE_VERSION[40];
protected:
VDKMenubar*  mMenubar;

// Menu "Fichier"
VDKMenuItem*  miMenu0;
VDKMenuItem*  mMenu000;
VDKMenuItem*  mMenu001;
VDKMenuItem*  mMenu002;
VDKMenuItem*  mMenu003;
VDKMenuItem*  mMenu004;
VDKMenuItem*  mMenu005;
VDKMenuItem*  mMenu006;
VDKMenuItem*  mMenu007;
	VDKMenu*  mMenu0070;
		VDKMenuItem*  mMenu00700;
VDKMenuItem*  mMenu008;
VDKMenuItem*  mMenu009;
VDKMenuItem*  mMenu010;

// Menu "Edition"
VDKMenuItem*  miMenu1;
VDKMenuItem*  mMenu100;
VDKMenuItem*  mMenu101;
VDKMenuItem*  mMenu102;
VDKMenuItem*  mMenu103;

// Menu "Bibliothque"
VDKMenuItem*  miMenu2;
VDKMenuItem*  mMenu200;
VDKMenuItem*  mMenu201;
VDKMenuItem*  mMenu202;

// Menu "Vue"
VDKMenuItem*  miMenu3;
VDKMenuItem*  mMenu300;
VDKMenuItem*  mMenu301;

// Menu "Option"
VDKMenuItem*  miMenu4;
VDKMenuItem*  mMenu400;
VDKMenuItem*  mMenu401;
VDKMenuItem*  mMenu402;

// Menu "Outils"
VDKMenuItem*  miMenu5;
VDKMenuItem*  mMenu500;
VDKMenuItem*  mMenu501;
VDKMenuItem*  mMenu502;
VDKMenuItem*  mMenu503;
VDKMenuItem*  mMenu504;

// Menu "Aide"
VDKMenuItem*  miMenu6;
VDKMenuItem*  mMenu600;
VDKMenuItem*  mMenu601;
VDKMenuItem*  mMenu602;

VDKToolbar*  mToolbar0, *mToolbar1;
VDKHandleBox*  mHandlebox0;
VDKPanelbar* mPanelbar;
VDKPaned* mPaned;
VDKText*  mTextin, *mTextout;

public:
DECLARE_SIGNAL_MAP(EasymathsForm);
/*
declaring signal and events
dynamics tables
*/
#include <HandlersWEAS.h>
DECLARE_SIGNAL_LIST(EasymathsForm);
DECLARE_EVENT_LIST(EasymathsForm);